#ifndef FAST_BOOT_H_
#define FAST_BOOT_H_

#include <glib.h>

/**
 * Execute system command, return execution status.
 * And save the last line of the execution result in ret_msg.
 * if Exe Success, will be return 0.
 */
int 
fastboot_system (const char *cmd, char *ret_msg, int msg_len);

/**
 * Check the status of software update after system startup.
 * if software was updated, return TRUE;
 * if not, return FALSE.
 */
gboolean 
fastboot_software_update (void);

#endif /* FAST_BOOT_H_ */
